### Method

# Camel MimeFilter set_size

#### Declaration [src]

    void
    camel_mime_filter_set_size (
      CamelMimeFilter* filter,
      gsize size,
      gint keep
    )

#### Description [src]

Ensure that `filter` has enough storage space to store `size` bytes for filter output.

#### Parameters

`size`

  Type: `gsize`

  Requested amount of storage space.

`keep`

  Type: `gint`

  `TRUE` to keep existing buffered data or `FALSE` otherwise.